Percona Server with XtraDB

main.percona_query_cache_with_comments fails on 5.1.52-rel11.6 on CentOS-5

Reported by Aleksandr Kuzminsky on 2010-11-11
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Critical
Oleg Tsarev

Bug Description

Not always, but sometimes the test fails:

main.percona_query_cache_with_comments [ fail ]
        Test ended at 2010-11-10 16:50:18

CURRENT_TEST: main.percona_query_cache_with_comments
--- /home/buildbot/slaves/percona-server-51-11/CentOS-5-x86-RPM_CentOS_5_x86_64/work/BUILD/Percona-Server/mysql-test/r/percona_query_cache_with_comments.result 2010-11-10 19:20:40.000000000 +0300
+++ /home/buildbot/slaves/percona-server-51-11/CentOS-5-x86-RPM_CentOS_5_x86_64/work/BUILD/Percona-Server/mysql-test/r/percona_query_cache_with_comments.reject 2010-11-11 00:50:17.000000000 +0300
@@ -337,25 +337,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 20
+Qcache_hits 19
 -----------------------------------------------------
 select */* internal comment */ from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 20
+Qcache_hits 19
 select */* internal comment */ from t1;
 a
 1
@@ -368,25 +368,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 22
+Qcache_hits 21
 -----------------------------------------------------
 select */* internal comment */from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 22
+Qcache_hits 21
 select */* internal comment */from t1;
 a
 1
@@ -399,25 +399,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 24
+Qcache_hits 23
 -----------------------------------------------------
 select * /* internal comment with "quote" */ from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 24
+Qcache_hits 23
 select * /* internal comment with "quote" */ from t1;
 a
 1
@@ -430,25 +430,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 26
+Qcache_hits 25
 -----------------------------------------------------
 select */* internal comment with "quote" */ from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 26
+Qcache_hits 25
 select */* internal comment with "quote" */ from t1;
 a
 1
@@ -461,25 +461,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 28
+Qcache_hits 27
 -----------------------------------------------------
 select */* internal comment with "quote" */from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 28
+Qcache_hits 27
 select */* internal comment with "quote" */from t1;
 a
 1
@@ -492,26 +492,26 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 30
+Qcache_hits 29
 -----------------------------------------------------
 select * from t1

 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 30
+Qcache_hits 29
 select * from t1
 ;
 a
@@ -526,25 +526,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 32
+Qcache_hits 31
 -----------------------------------------------------
 select * from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 32
+Qcache_hits 31
 select * from t1 ;
 a
 1
@@ -557,25 +557,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 34
+Qcache_hits 33
 -----------------------------------------------------
 select * from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 34
+Qcache_hits 33
 select * from t1 ;
 a
 1
@@ -588,26 +588,26 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 36
+Qcache_hits 35
 -----------------------------------------------------
 select * from t1
 /* comment in the end */
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 36
+Qcache_hits 35
 select * from t1
 /* comment in the end */;
 a
@@ -622,26 +622,26 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 38
+Qcache_hits 37
 -----------------------------------------------------
 select * from t1
 /* *\/ */
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 38
+Qcache_hits 37
 select * from t1
 /* *\/ */;
 a
@@ -656,13 +656,13 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 40
+Qcache_hits 39
 -----------------------------------------------------
 select * from t1
 /* comment in the end */
@@ -670,13 +670,13 @@
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 40
+Qcache_hits 39
 select * from t1
 /* comment in the end */
 ;
@@ -693,25 +693,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 42
+Qcache_hits 41
 -----------------------------------------------------
 select * from t1 #comment in the end
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 42
+Qcache_hits 41
 select * from t1 #comment in the end;
 a
 1
@@ -724,26 +724,26 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 44
+Qcache_hits 43
 -----------------------------------------------------
 select * from t1 #comment in the end

 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 44
+Qcache_hits 43
 select * from t1 #comment in the end
 ;
 a
@@ -758,25 +758,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 46
+Qcache_hits 45
 -----------------------------------------------------
 select * from t1 -- comment in the end
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 46
+Qcache_hits 45
 select * from t1 -- comment in the end;
 a
 1
@@ -789,26 +789,26 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 48
+Qcache_hits 47
 -----------------------------------------------------
 select * from t1 -- comment in the end

 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 48
+Qcache_hits 47
 select * from t1 -- comment in the end
 ;
 a
@@ -823,25 +823,25 @@
 3
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 50
+Qcache_hits 49
 -----------------------------------------------------
 select ' \' ' from t1
 -----------------------------------------------------
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 1
+Qcache_queries_in_cache 2
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 1
+Qcache_inserts 2
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 50
+Qcache_hits 49
 select ' \' ' from t1;
 '
  '
@@ -854,13 +854,13 @@
  '
 show status like "Qcache_queries_in_cache";
 Variable_name Value
-Qcache_queries_in_cache 2
+Qcache_queries_in_cache 3
 show status like "Qcache_inserts";
 Variable_name Value
-Qcache_inserts 2
+Qcache_inserts 3
 show status like "Qcache_hits";
 Variable_name Value
-Qcache_hits 51
+Qcache_hits 50
 DROP TABLE t1;
 SET GLOBAL query_cache_size=default;
 set global query_cache_strip_comments=OFF;

mysqltest: Result content mismatch

Changed in percona-server:
milestone: none → 11.6
Oleg Tsarev (tsarev) on 2010-11-11
Changed in percona-server:
assignee: nobody → Oleg Tsarev (tsarev)
Percona (percona-team) on 2010-11-14
Changed in percona-server:
status: New → Triaged
importance: Undecided → Critical
Oleg Tsarev (tsarev) on 2010-11-16
Changed in percona-server:
status: Triaged → Fix Committed
status: Fix Committed → In Progress
Oleg Tsarev (tsarev) wrote :

disable ps-protocol as temporary solution
see bug:
https://bugs.launchpad.net/percona-server/+bug/676938

Oleg Tsarev (tsarev) on 2010-11-18
Changed in percona-server:
status: In Progress → Fix Committed
Changed in percona-server:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers